Updating firmware on the Plugable 4-Port SuperSpeed USB 3.0/2.0 Hub with VL810 chipset

This post is only applicable for hubs purchased prior to 3/1/2012, later hubs do not include the VL810 chipset.

Because USB 3.0 is still maturing, it’s helpful to choose devices with upgradable firmware (and/or drivers). Our Plugable 4-Port SuperSpeed USB 3.0/2.0 Hub uses the VIA VL810 chipset both because it’s the best selling hub chipset currently on the market, and updating the firmware is relatively easy.

First, download VIA’s USB 3 Firmware Upgrade Tool (Windows required).

When the package is finished downloading click on the .zip file to extract the contents and run Usb3HubFWUpgrade_Setup_VX.XX.exe (to match the version you downloaded). This will install the USB3.0 firmware upgrade tool.

Reboot your machine, and connect your hub to AC power and to a USB3.0 port directly on your computer. Now, run the Usb3HubFWUpgrade program from the start menu. You will see a screen like this:

When the upgrade tool reports 1 device found, click the “Start Upgrade” button. Once it has completed you will see:

Disconnect both the AC power and the USB cable from the hub to reset it, reconnect, and you’re done!

See VIA’s Release Notes (PDF) for the list of features and fixes in each firmware version.

We have a Problem with JSON here:
Either we got no JSON from the API. Or the basenode-parameter is not ok.
Switch on the Debugmode of the Plugin!
Switch to gutenberg-Blocks!
There the JSON Content Importer Block gives an easier way to use the JSON-APIs.
Or: Switch on the Debugmode by adding "debugmode=10" in the Shortcode.

If all is without success: Open ticket at wordpress.org please


Leave A Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.